
/*
*   file1.c
*   This C program demonstrates how to declare and use both
*   input and output files. The example program 
*   takes the order_price from customer.dat and generates
*   a billing_price that is printed to billing.dat
*   Copyright (c) Chrisf H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>
#define MIN_DISCOUNT .97
#define MAX_DISCOUNT .95

int main( )
{
  float forder_price, fbilling_price;
  FILE *fin,*fout;
     
  fin=fopen("a:\\customer.dat","r");
  fout=fopen("a:\\billing.dat","w");

  while (fscanf(fin,"%f",&forder_price) != EOF) {
    fprintf(fout,"Your order of \t\t$%8.2f\n", forder_price);
    if (forder_price < 10000)
       fbilling_price = forder_price * MIN_DISCOUNT;
    else fbilling_price = forder_price * MAX_DISCOUNT;
    fprintf(fout,"is discounted to \t$%8.2f.\n\n",fbilling_price);
  }

  fclose(fin);
  fclose(fout);

  return(0);
}
