/*
*   char.c
*   A C program demonstrating the char data type and showing
*   how a char variable can be interpreted as an integer.
*   Copyright (c) Chris H. Pappas and William H. Murray, 19987
*/

#include <stdio.h>
#include <ctype.h>

int main( )
{
  char csinglechar, cuppercase, clowercase;

  printf("\nPlease enter a single character: ");
  scanf("%c",&csinglechar);

  cuppercase = toupper(csinglechar);
  clowercase = tolower(csinglechar);

  printf("The UPPERcase character \'%c\' has a decimal ASCII"
         " value of %d\n",cuppercase,cuppercase);
  printf("The ASCII value represented in hexadecimal"
         " is %X\n",cuppercase);

  printf("If you add sixteen you will get \'%c\'\n", 
          (cuppercase+16));
  printf("The calculated ASCII value in hexadecimal"
         " is %X\n",(cuppercase+16));
  printf("The LOWERcase character \'%c\' has a decimal ASCII"
         " value of %d\n",clowercase,clowercase);

  return(0);
}
