/*
*   enum.c
*   A C program demonstrating the use of enumeration variables
*   Copyright (c) Chris H. Pappas and William H. Murray, 19987
*/

#include <stdio.h>
#include <stdlib.h>

int main( )
{
  enum air_supply { EMPTY,
                    USEABLE,
                    FULL=5 }  instructor_tank;
  enum air_supply student_tank;

  instructor_tank = FULL;
  student_tank = EMPTY;

  printf("The value of instructor_tank is %d\n",instructor_tank);

  if (student_tank < USEABLE) {
    printf("Refill this tank.\n");
    printf("Class is cancelled.\n");
    exit(1);
  }
  if (instructor_tank >= student_tank)
    printf("Proceed with lesson\n");
  else
    printf("Class is cancelled!\n");

  return(0);
}

