//
//  float.cpp
//  A C++ program demonstrating using the float data type.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <iostream.h>
#include <iomanip.h>

int main( )
{
  long loriginal_flags=cin.flags( );
  float fvalue;

  cout << "Please enter a float value to be formatted: ";
  cin >> fvalue;

  cout << "Standard Formatting:   " << fvalue << "\n";
  cout.setf(ios::scientific);
  cout << "Scientific Formatting: " << fvalue << "\n";

  cout.setf(ios::fixed);
  cout << "Fixed Formatting:      " << setprecision
       << fvalue;

  cout.flags(loriginal_flags);

  return(0);
}
