//
//   calndr.cpp
//   A C++ program using a switch statement to print a yearly
//   calendar.
//   Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <iostream.h>

int main()
{
  int jan_1_start_day,num_days_per_month,
      month,date,leap_year_flag;

  cout << "Please enter January 1's starting day;\n";
  cout << "\nA 0 indicates January 1 is on a Monday,";
  cout << "\nA 1 indicates January 1 is on a Tuesday, etc: ";
  cin >> jan_1_start_day;
  cout << "\nEnter the year you want the calendar generated: ";
  cin >> leap_year_flag;
  cout << "\n\n The calendar for the year " << leap_year_flag;

  leap_year_flag=leap_year_flag % 4;
  cout.width(20);

  for (month = 1;month <= 12;month++) {
    switch(month) {
     case 1:
       cout << "\n\n\n" << " January" << "\n";
       num_days_per_month = 31;
       break;
     case 2:
       cout << "\n\n\n" << " February" << "\n";
       num_days_per_month = leap_year_flag ? 28 : 29;
       break;
     case 3:
       cout << "\n\n\n" << "  March " << "\n";
       num_days_per_month = 31;
       break;
     case 4:
       cout << "\n\n\n" << "  April " << "\n";
       num_days_per_month = 30;
       break;
     case 5:
       cout << "\n\n\n" << "   May  " << "\n";
       num_days_per_month = 31;
       break;
     case 6:
       cout << "\n\n\n" << "  June  " << "\n";
       num_days_per_month = 30;
       break;
     case 7:
       cout << "\n\n\n" << "  July  " << "\n";
       num_days_per_month = 31;
       break;
     case 8:
       cout << "\n\n\n" << " August " << "\n";
       num_days_per_month = 31;
       break;
     case 9:
       cout << "\n\n\n" << "September" << "\n";
       num_days_per_month = 30;
       break;
     case 10:
       cout << "\n\n\n" << " October " << "\n";
       num_days_per_month = 31;
       break;
     case 11:
       cout << "\n\n\n" << "November " << "\n";
       num_days_per_month = 30;
       break;
     case 12:
       cout << "\n\n\n" << "December " << "\n";
       num_days_per_month = 31;
       break;
    }

    cout.width(0);
    cout << "\nSun  Mon  Tue  Wed  Thu  Fri  Sat\n";
    cout << "---  ---  ---  ---  ---  ---  ---\n";

    for ( date = 1; date <= 1 + jan_1_start_day * 5; date++ )
      cout <<  " ";

    for ( date = 1; date <= num_days_per_month; date++ ) {
      cout.width(2);
      cout << date;
      if ( ( date + jan_1_start_day ) % 7 > 0 ) 
        cout <<  "   ";
      else
        cout <<  "\n ";
    }
    jan_1_start_day=(jan_1_start_day + num_days_per_month) % 7;
  }
  return(0);
}
