/*
*   dowhil.c
*   A C program using a while loop to echo print a file
*   The program demonstrates additional file I/O techniques
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>
#include <process.h>

#define sz_TERMINATOR 1       /* sz, null-string designator */
#define MAX_CHARS 30

int main()
{
  int c;
  FILE *ifile, *ofile;
  char sziDOS_file_name[MAX_CHARS + sz_TERMINATOR],
       szoDOS_file_name[MAX_CHARS + sz_TERMINATOR];

  fputs("Enter the input file's name: ",stdout);
  gets(sziDOS_file_name);

  if((ifile=fopen(sziDOS_file_name,"r")) == NULL) {
    printf("\nFile: %s cannot be opened",sziDOS_file_name);
    exit(1);
  }

  fputs("Enter the output file's name: ",stdout);
  gets(szoDOS_file_name);

  if((ofile=fopen(szoDOS_file_name,"w")) == NULL) {
    printf("\nFile: %s cannot be opened",szoDOS_file_name);
    exit(2);
  }
  while(!feof(ifile)) {
    c=fgetc(ifile);
    fputc(c,ofile);
  }

  return(0);
}
