/*
*   while.c
*   A C program using a pre-test while loop with flag
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>

#define WORD 16
#define ONE_BYTE 8

int main()
{
  int ivalue = 256, ibit_position=1;
  unsigned int umask = 1;

  printf("The following value %d,\n",ivalue);
  printf("in binary form looks like: ");

  while(ibit_position <= WORD) {
    if((ivalue >> (WORD - ibit_position)) & umask) /* shift each */
      printf("1");                                 /* bit to 0th */
    else                                           /* position & */
      printf("0");                                 /* compare to */
    if(ibit_position == ONE_BYTE)                  /*   umask    */
      printf(" ");
    ibit_position++;
  }

  return(0);
}
