/*
*   double.c
*   C program illustrates the double function type.
*   Function receives integers from 0 to 90, one at a
*   time, and returns the cosine of each, one at a time.
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>
#include <math.h>

const double dPi=3.14159265359;

double dtrigcosine(double dangle);

int main()
{
  int j;
  double dcosine;

  for (j=0;j<91;j++) {
    dcosine=dtrigcosine((double) j);
    printf("The cosine of %d degrees is %19.18lf \n",
           j,dcosine);
  }

  return (0);
}

double dtrigcosine(double dangle)
{
  double dpartial;
  dpartial=cos((dPi/180.0)*dangle);
  return (dpartial);
}

