/* 
*   factr.c
*   A C program illustrating recursive function calls. 
*   Calculation of the factorial of a number.
*   Example:  7! = 7 x 6 x 5 x 4 x 3 x 2 x 1 = 5040 
*   Copyright (c) Chris H. Pappas and William H. Murray, 1997
*/ 
 
#include <stdio.h> 
 
double dfactorial(double danswer); 
 
int main() 
{ 
  double dnumber=15.0; 
  double dresult; 
 
  dresult=dfactorial(dnumber); 
 
  printf("The factorial of %15.0lf is: %15.0lf\n",
         dnumber,dresult); 

  return (0);
} 
 
double dfactorial(double danswer) 
{ 
  if (danswer <= 1.0) 
    return(1.0); 
  else 
    return(danswer*dfactorial(danswer-1.0)); 
} 

