/*
*   intf.c
*   C program illustrates the integer function type.
*   Function receives integers, one at a time, and
*   returns the cube of each, one at a time.
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>

int icube(int ivalue);

int main()
{
  int k,inumbercube;

  for (k=0;k<20;k+=2) {
    inumbercube=icube(k);
    printf("The cube of the number %d is %d \n",
           k,inumbercube);
  }

  return (0);
}

int icube(int ivalue)
{
  return (ivalue*ivalue*ivalue);
}

