//
//  longf.cpp
//  C++ program illustrates the long integer function type.
//  Function receives integers, one at a time, and
//  returns 2 raised to that integer power.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <iostream.h>

long lpower(int ivalue);

int main()
{
  int k;
  long lanswer;

  for (k=0;k<31;k++) {
    lanswer=lpower(k);
    cout << "2 raised to the " << k << " power is "
         << lanswer << endl;
  }

  return (0);
}

long lpower(int ivalue)
{
  int t;
  long lseed=1;

  for (t=0;t<ivalue;t++)
    lseed*=2;
  return (lseed);
}

