/*
*   2dadbl.c
*   A C program using a 2-dimensional array of doubles
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>
#include <math.h>

#define iBASES 6
#define iEXPONENTS 3
#define iBASE 0
#define iRAISED_TO 1
#define iRESULT 2

main()
{
  double dpowers[iBASES][iEXPONENTS]={
    1.1, 1, 0,
    2.2, 2, 0,
    3.3, 3, 0,
    4.4, 4, 0,
    5.5, 5, 0,
    6.6, 6, 0
  };

  int irow_index;

  for(irow_index=0; irow_index < iBASES; irow_index++)
    dpowers[irow_index][iRESULT] =
      pow(dpowers[irow_index][iBASE],
      dpowers[irow_index][iRAISED_TO]);

  for(irow_index=0; irow_index < iBASES; irow_index++) {
    printf("    %d\n",(int)dpowers[irow_index][iRAISED_TO]);
    printf(" %2.1f = %.2f\n\n",dpowers[irow_index][iBASE],
                               dpowers[irow_index][iRESULT]);
  }

  return(0);
}
