/*
*   dblptr.c
*   A C program using pointer variables with double
*   indirection
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>
#include <stdlib.h>

#define IMAXELEMENTS 3

void voutput(int **ppiresult_a, int **ppiresult_b, 
             int **ppiresult_c);
void vassign(int *pivirtual_array[],int *pinewblock);

void main( )
{
  int **ppiresult_a, **ppiresult_b, **ppiresult_c;
  int *pivirtual_array[IMAXELEMENTS];
  int *pinewblock, *pioldblock;

  ppiresult_a=&pivirtual_array[0];
  ppiresult_b=&pivirtual_array[1];
  ppiresult_c=&pivirtual_array[2];

  pinewblock=(int *)malloc(IMAXELEMENTS * sizeof(int));
  pioldblock=pinewblock;

  vassign(pivirtual_array,pinewblock);

  **ppiresult_a=7;
  **ppiresult_b=10;
  **ppiresult_c=15;

  voutput(ppiresult_a,ppiresult_b,ppiresult_c);

  pinewblock=(int *)malloc(IMAXELEMENTS * sizeof(int));

  *pinewblock=**ppiresult_a;
  *(pinewblock+1)=**ppiresult_b;
  *(pinewblock+2)=**ppiresult_c;

  free(pioldblock);

  vassign(pivirtual_array,pinewblock);

  voutput(ppiresult_a,ppiresult_b,ppiresult_c);
}

void vassign(int *pivirtual_array[],int *pinewblock)
{
  pivirtual_array[0]=pinewblock;
  pivirtual_array[1]=pinewblock+1;
  pivirtual_array[2]=pinewblock+2;
}

void voutput(int **ppiresult_a, int **ppiresult_b, int **ppiresult_c)
{
  printf("%d\n",**ppiresult_a);
  printf("%d\n",**ppiresult_b);
  printf("%d\n",**ppiresult_c);
}
