/*
*   badfil.c
*   A C program that uses the functions getw and putw on
*   a file created in binary mode.
*   Copyright (c) William H. Murray and Chris H. Pappas, 1998
*/

#include <stdio.h>
#include <stdlib.h>

#define ISIZE 10

void main()
{
  FILE *pfi;
  int ivalue,ivalues[ISIZE],i;

  pfi = fopen("integer.dat", "wb");
  if(pfi == NULL) {
    printf("File could not be opened");
    exit(1);
  }

  for(i = 0; i < ISIZE; i++) {
    ivalues[i]=i+1;
    putw(ivalues[i],pfi);
  }

  fclose(pfi);

  pfi=fopen("integer.dat", "r+b");
  if(pfi == NULL) {
    printf("File could not be re-opened");
    exit(1);
  }

    while(!feof(pfi)) {
      ivalue = getw(pfi);
      printf("%3d",ivalue);
    }
}

