/*
*   fgets.c
*   A C program that demonstrates how to read
*   in whole records using fgets and prints
*   them out to stdout using fputs.
*   Copyright (c) William H. Murray and Chris H. Pappas, 1998
*/ 
 
#include <stdio.h> 
 
#define INULL_CHAR 1
#define IMAX_REC_SIZE 40 

void main()
{ 
  FILE *pfinfile; 
  char crecord[IMAX_REC_SIZE + INULL_CHAR];
 
  pfinfile=fopen("boatsale.dat", "r");
  while(fgets(crecord,IMAX_REC_SIZE +INULL_CHAR,pfinfile) != NULL)
    fputs(crecord,stdout);
  fclose(pfinfile);
 
}

