/*
*   rndacs.c
*   A C random access file program using fseek, fread,
*   and fwrite.
*   Copyright (c) William H. Murray and Chris H. Pappas, 1998
*/

#include <stdio.h>
#include <string.h>

#define iFIRST 1
#define iLAST 50
#define iSS_SIZE 11
#define iDATA_SIZE 60
#define cVACANT 'V'
#define cUSED 'U'

typedef struct strecord {
  int  irecordnum;
  char cavailable;             /* V free, U used */
  char csoc_sec_num[iSS_SIZE];
  char cdata[iDATA_SIZE];
} stA_PERSON;

void main()
{
  FILE *pfi;
  stA_PERSON stcurrent_person;
  int i,iwhich_record;
  long int loffset;

  pfi=fopen("sample.fil","r+");

  for(i = iFIRST; i <= iLAST; i++) {
    stcurrent_person.cavailable=cVACANT;
    stcurrent_person.irecordnum=i;
    fwrite(&stcurrent_person,sizeof(stA_PERSON),1,pfi);
  }

  printf("Please enter the record you would like to find.");
  printf("\nYour response must be between 1 and 50: ");
  scanf("%d",&iwhich_record);

  loffset=(iwhich_record - 1) * sizeof(stA_PERSON);
  fseek(pfi,loffset,0);
  fread(&stcurrent_person,sizeof(stA_PERSON),1,pfi);

  fclose(pfi);

}

