/*
*   setbf.c
*   A C program demonstrating how to define and attach
*   a buffer to the unbuffered stderr.
*   Copyright (c) William H. Murray and Chris H. Pappas, 1998
*/   

#include <stdio.h>
char cmyoutputbuffer[BUFSIZ];

void main(void)
{
   /* associate a buffer with the unbuffered output stream */
   setbuf(stderr, cmyoutputbuffer); /* line to comment out */

   /* insert into the output stream buffer */
   fputs("Sample output inserted into the\n",stderr);
   fputs("output stream buffer.\n",stderr);

   /* dump the output stream buffer */
   fflush(stderr);
}

