//
//  fstrm.cpp
//  A C++ program demonstrating how to declare an
//  ifstream and ofstream for file input and output.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <fstream.h>

int main(void)
{
  char c;

  ifstream ifsin("a:\\text.in",ios::in);
  if( !ifsin )
    cerr << "\nUnable to open 'text.in' for input.";

  ofstream ofsout("a:\\text.out",ios::out);
  if( !ofsout )
    cerr << "\nUnable to open 'text.out' for output.";

  while( ofsout && ifsin.get(c) )
    ofsout.put(c);

  ifsin.close( );
  ofsout.close( );

  return(0);
}
