/*
*   stcary.c
*   C program uses an array of structures.
*   This example creates a "used boat inventory" for
*   Nineveh Boat Sales.
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/ 
 
#include <stdio.h>

#define iSTRING15 15
#define iSTRING20 20
#define iNULL_CHAR 1
#define iMAX_BOATS 50

struct stboat {
  char sztype [iSTRING15 + iNULL_CHAR];
  char szmodel[iSTRING15 + iNULL_CHAR];
  char sztitle[iSTRING20 + iNULL_CHAR];
  char szcomment[80];
  int iyear;
  long int lmotor_hours;
  float fretail;
  float fwholesale;
};

int main(void)
{
  int i,iinstock;
  struct stboat astNineveh[iMAX_BOATS];

  printf("How many boats in inventory? ");
  scanf("%d",&iinstock);

  for (i=0; i<iinstock; i++) {

    flushall( );     /* flush keyboard buffer */
    printf("\nPlease enter the make of the boat: ");
    gets(astNineveh[i].sztype);

    printf("\nPlease enter the model of the boat: ");
    gets(astNineveh[i].szmodel);

    printf("\nPlease enter the title number for the boat: ");
    gets(astNineveh[i].sztitle);

    printf("\nPlease enter a one line comment about the boat: ");
    gets(astNineveh[i].szcomment);

    printf("\nPlease enter the model year for the boat: ");
    scanf("%d",&astNineveh[i].iyear);

    printf("\nPlease enter the current hours on ");
    printf("the motor for the boat: ");
    scanf("%ld",&astNineveh[i].lmotor_hours);

    printf("\nPlease enter the retail price of the boat :");
    scanf("%f",&astNineveh[i].fretail);

    printf("\nPlease enter the wholesale price of the boat :");
    scanf("%f",&astNineveh[i].fwholesale);
  }

  printf("\n\n\n");

  for (i=0; i<iinstock; i++) {
    printf("A %d %s %s beauty with %ld low hours.\n",
           astNineveh[i].iyear,astNineveh[i].sztype,
           astNineveh[i].szmodel,astNineveh[i].lmotor_hours);
    printf("%s\n",astNineveh[i].szcomment);
    printf(
       "Grab the deal by asking your Nineveh salesperson for");
    printf(" #%s ONLY! $%8.2f.\n",astNineveh[i].sztitle,
           astNineveh[i].fretail);
    printf("\n\n");
  }

  return (0);
}
