/*
*   bsearch.c
*   Demonstrating the use of the bsearch( ) function. 
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdlib.h>
#include <stdio.h>

int int_comp(const void *i,const void *j);

int data_array[]={100,200,300,400,500,
                  600,700,800,900};

main( )
{
  int *search_result;
  int search_number=400;

  printf("Is 400 in the data_array? ");
  search_result=bsearch(&search_number,data_array,9,
                        sizeof(int),int_comp);
  if (search_result) printf("Yes!\n");
    else printf("No!\n");
  return (0);
}

int int_comp(const void *i,const void *j)
{
  return ((*(int *)i)-(*(int *)j));
}
