/*
*   contrl.c
*   Demonstrating several character functions such as
*   isprint( ), isupper( ), iscntrl( ), etc. 
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>
#include <ctype.h>

main( )
{
  int ch;
  for (ch=0;ch<=127;ch++) {
    printf("The ASCII digit %d is a(n):\n",ch);
    printf("%s",isprint(ch)  ? "  printable char\n" : "");
    printf("%s",islower(ch)  ? "  lowercase char\n" : "");
    printf("%s",isupper(ch)  ? "  uppercase char\n" : "");
    printf("%s",ispunct(ch)  ? "  punctuation char\n" : "");
    printf("%s",isspace(ch)  ? "  space char\n" : "");
    printf("%s",isdigit(ch)  ? "  char digit\n" : "");
    printf("%s",isgraph(ch)  ? "  graphics char\n" : "");
    printf("%s",iscntrl(ch)  ? "  control char\n" : "");
    printf("%s",isxdigit(ch) ? "  hexadecimal char\n" : "");
    printf("\n");
  }
  return (0);
}

