//
//  math.cpp
//  A program that demonstrates the use of several
//  math functions.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <iostream.h>
#include <iomanip.h>
#include <math.h>

#define PI 3.14159265359

main( )
{
  int i;
  double x,y,z,ang;

  for (i=0;i<=45;i++) {
    ang=PI*i/180;  // convert degrees to radians
    x=sin(ang);
    y=cos(ang);
    z=tan(ang);
    // formatting output columns
    cout << setiosflags(ios::left) << setw(8)
         << setiosflags(ios::fixed) << setprecision(6);
    // data to print
    cout << i << "\t" << x << "\t" <<
            y << "\t" << z << "\n";
  }
  return (0);
}
