/*
*   qsort.c
*   Demonstrating the use of the qsort( ) function. 
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>
#include <stdlib.h>

int int_comp(const void *i,const void *j);

int list[12]={95,53,71,86,11,28,34,53,10,11,74,-44};

main( )
{
  int i;

  qsort(list,12,sizeof(int),int_comp);

  printf("The array after qsort:\n");
  for(i=0;i<12;i++)
    printf("%d ",list[i]);
  return (0);
}

int int_comp(const void *i,const void *j)
{
  return ((*(int *)i)-(*(int *)j));
}
