/* 
*   tdelay.c
*   A C program that demonstrates how to create a delay 
*   function for slowing program output. 
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/ 

#include <stdio.h>
#include <time.h>

void time_delay(int);

main( )
{
  int i;

  for (i=0;i<25;i++) {
    time_delay(2);
    printf("The count is %d\n",i);
  }
  return (0);
}

void time_delay(int t)
{
  long initial,final;
  long ltime;

  initial=time(&ltime);
  final=initial+t;

  while (time(&ltime) < final);
  return;
}
