//
//  coins.cpp
//  C++ program illustrates the use of constructors and
//  destructors in a simple program.
//  This program converts cents into appropriate coins:
//  (quarters, dimes, nickels, and pennies).
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <iostream.h>

const int QUARTER=25;
const int DIME=10;
const int NICKEL=5;

class coins {
  int number;

public:
  coins() {cout << "Begin Conversion!\n";}      // constructor
  ~coins() {cout << "\nFinished Conversion!";}  // destructor
  void get_cents(int);
  int quarter_conversion(void);
  int dime_conversion(int);
  int nickel_conversion(int);
};

void coins::get_cents(int cents)
{
  number=cents;
  cout << number << " cents, converts to:"
       << endl;
}

int coins::quarter_conversion()
{
  cout << number/QUARTER << " quarter(s), ";
  return(number%QUARTER);
}

int coins::dime_conversion(int d)
{
  cout << d/DIME << " dime(s), ";
  return(d%DIME);
}

int coins::nickel_conversion(int n)
{
  cout << n/NICKEL << " nickel(s), and ";
  return(n%NICKEL);
}

main()
{
  int c,d,n,p;

  cout << "Enter the cash, in cents, to convert: ";
  cin >> c;

  // associate cash_in_cents with coins class.
  coins cash_in_cents;

  cash_in_cents.get_cents(c);
  d=cash_in_cents.quarter_conversion();
  n=cash_in_cents.dime_conversion(d);
  p=cash_in_cents.nickel_conversion(n);
  cout << p << " penny(ies).";
  return (0);
}

