// CntrItem.h : interface of the CCntCntrItem class
//

#if !defined(AFX_CNTRITEM_H__E820570F_B201_11D1_BAE9_00A0C98CC46E__INCLUDED_)
#define AFX_CNTRITEM_H__E820570F_B201_11D1_BAE9_00A0C98CC46E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CCntDoc;
class CCntView;

class CCntCntrItem : public COleClientItem
{
	DECLARE_SERIAL(CCntCntrItem)

// Constructors
public:
	CCntCntrItem(CCntDoc* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE.
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer.

// Attributes
public:
	CCntDoc* GetDocument()
		{ return (CCntDoc*)COleClientItem::GetDocument(); }
	CCntView* GetActiveView()
		{ return (CCntView*)COleClientItem::GetActiveView(); }

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCntCntrItem)
	public:
	virtual void OnChange(OLE_NOTIFICATION wNotification, DWORD dwParam);
	virtual void OnActivate();
	protected:
	virtual void OnGetItemPosition(CRect& rPosition);
	virtual void OnDeactivateUI(BOOL bUndoable);
	virtual BOOL OnChangeItemPosition(const CRect& rectPos);
	//}}AFX_VIRTUAL

// Implementation
public:
	~CCntCntrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	virtual void Serialize(CArchive& ar);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CNTRITEM_H__E820570F_B201_11D1_BAE9_00A0C98CC46E__INCLUDED_)
