#if !defined(AFX_TDCTRLCTL_H__C0377514_B276_11D1_BAE9_00A0C98CC46E__INCLUDED_)
#define AFX_TDCTRLCTL_H__C0377514_B276_11D1_BAE9_00A0C98CC46E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// TDCtrlCtl.h : Declaration of the CTDCtrlCtrl ActiveX Control class.

/////////////////////////////////////////////////////////////////////////////
// CTDCtrlCtrl : See TDCtrlCtl.cpp for implementation.

class CTDCtrlCtrl : public COleControl
{
	DECLARE_DYNCREATE(CTDCtrlCtrl)

// Constructor
public:
	CTDCtrlCtrl();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTDCtrlCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	//}}AFX_VIRTUAL

// Implementation
protected:
	~CTDCtrlCtrl();

    BOOL InTDCtrl(CPoint& point);        // Hit the control?
    void HitTDCtrl(CDC* pdc);            // Blink the color

	DECLARE_OLECREATE_EX(CTDCtrlCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CTDCtrlCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CTDCtrlCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CTDCtrlCtrl)		// Type name and misc status

// Message maps
	//{{AFX_MSG(CTDCtrlCtrl)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CTDCtrlCtrl)
	OLE_COLOR m_hitTDCtrl;
	BOOL m_tDShape;
	afx_msg void OnTDShapeChanged();
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

// Event maps
	//{{AFX_EVENT(CTDCtrlCtrl)
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CTDCtrlCtrl)
	dispidTDShape = 2L,
	dispidHitTDCtrl = 1L,
	//}}AFX_DISP_ID
	};
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TDCTRLCTL_H__C0377514_B276_11D1_BAE9_00A0C98CC46E__INCLUDED)
