
//
//  ui.cpp
//  This C++ program prompts the user for a specified length,
//  feet, and then outputs the value converted to
//  meters and centimeters.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <iostream.h>
#include <iomanip.h>

int main( )
{
  float feet,meters,centimeters;

  cout << "Enter the number of feet to be converted: ";
  cin  >> feet;

  while(feet > 0 ) {
    centimeters = feet * 12 * 2.54;
    meters = centimeters/100;
    cout << setw(8) << setprecision(2) \
         << setiosflags(ios::fixed) << feet << " feet equals \n";
    cout << setw(8) << setprecision(2) \
         << meters << " meters \n";
    cout << setw(8) << setprecision(2) \
         << centimeters << " centimeters \n";
    cout << "\nEnter another value to be \n";
    cout << "converted (0 ends the program): ";
    cin >>  feet;
  }
  cout << ">>> Have a nice day! <<<";

  return(0);
}
