/*
*    atexit.c
*    A C program demonstrating the relationship between the
*    function atexit and the order in which the functions
*    declared are executed.
*    Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>
#include <stdlib.h>

void atexit_fn1(void);
void atexit_fn2(void);
void atexit_fn3(void);

int main()
{

  atexit(atexit_fn1);
  atexit(atexit_fn2);
  atexit(atexit_fn3);

  printf("Atexit program entered.\n");
  printf("Atexit program exited.\n\n");
  printf(">>>>>>>>>>> <<<<<<<<<<<\n\n");

  return(0);
}

void atexit_fn1(void)
{
  printf("atexit_fn1 entered.\n");
}

void atexit_fn2(void)
{
  printf("atexit_fn2 entered.\n");
}

void atexit_fn3(void)
{
  printf("atexit_fn3 entered.\n");
}

