//
//   bracntg.cpp
//   A C++ program demonstrating the usefulness of combining
//   the break and continue statements.
//   Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <stdio.h>
#include <iostream.h>
#include <ctype.h>

#define NEWLINE '\n'

int main()
{
  int c;

  while((c=getchar()) != EOF)
  {
    if(isascii(c) == 0) {
      cout << "Not an ASCII character; ";
      cout << "not going to continue/n";
      break;
    }

    if(ispunct(c) || isspace(c)) {
      putchar(NEWLINE);
      continue;
    }

    if(isprint(c) == 0) {
      c = getchar();
      continue;
    }

    putchar(c);
  }

  return(0);
}

