//
//   exit2.cpp
//   A C++ program demonstrating the use of the exit function
//   in relation to the difference between the process.h 
//   and stdlib.h header files.
//   Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <iostream.h>
#include <stdlib.h>

#define LIMIT 30

int main()
{
  int irow,irequested_qty,iscores[LIMIT];
  float fsum=0,imax_score=0,imin_score=100,faverage;

  cout << "\nEnter the number of scores to be averaged: ";
  cin >>  irequested_qty;
  if(irequested_qty > LIMIT) {
    cout << "\nYou can only enter up to " << LIMIT << \
            " scores" << " to be faveraged.\n";
    cout << "\n        >>> Program was exited. <<<\n";
    exit(EXIT_FAILURE);
  }

  for(irow = 0; irow < irequested_qty; irow++) {
    cout << "\nPlease enter a grade " << irow+1 << ":  ";
    cin >> iscores[irow];
  }

  for(irow = 0; irow < irequested_qty; irow++)
    fsum = fsum + iscores[irow];

  faverage = fsum/(float)irequested_qty;

  for(irow = 0; irow < irequested_qty; irow++) {
    if(iscores[irow] > imax_score)
      imax_score = iscores[irow];
    if(iscores[irow] < imin_score)
      imin_score = iscores[irow];
  }

  cout << "\nThe maximum grade is " << imax_score;
  cout << "\nThe minimum grade is " << imin_score;
  cout << "\nThe average grade is " << faverage;

  return(0);
}

