/*
*   fnswth.c
*   A C program demonstrating the switch statement
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>

#define QUIT 0
#define BLANK ' '

double fadd(float fx,float fy);
double fsub(float fx,float fy);
double fmul(float fx,float fy);
double fdiv(float fx,float fy);

int main()
{
  float fx,fy;
  char cblank, coperator = BLANK;

  while (coperator != QUIT) {
    printf("\nPlease enter an expression (a (operator) b): ");
    scanf("%f%c%c%f", &fx, &cblank, &coperator, &fy);

    switch (coperator) {
      case '+': printf("answer = %8.2f\n", fadd(fx,fy));
                break;
      case '-': printf("answer = %8.2f\n", fsub(fx,fy));
                break;
      case '*': printf("answer = %8.2f\n", fmul(fx,fy));
                break;
      case '/': printf("answer = %8.2f\n", fdiv(fx,fy));
                break;
      case 'x': coperator = QUIT;
                break;
      default : printf("\nOperator not implemented");
    }
  }
  return(0);
}

double fadd(float fx,float fy) 
  {return(fx + fy);}

double fsub(float fx,float fy) 
  {return(fx - fy);}

double fmul(float fx,float fy) 
  {return(fx * fy);}

double fdiv(float fx,float fy) 
  {return(fx / fy);}


