/*
*   ifelsw.c
*   A C program demonstrating the if-else-if statement
*   used in a meaningful way with several switch statements.
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

typedef enum conversion_type {YARDS, INCHES, CENTIMETERS, \
                              METERS} C_TYPE;
#include <stdio.h>

int main()
{
  int iuser_response;
  C_TYPE C_Tconversion;
  int ilength=30;
  float fmeasurement;

  printf("\nPlease enter the measurement to be converted : ");
  scanf("%f",&fmeasurement);

  printf("\nPlease enter :         \
          \n\t\t 0 for YARDS       \
          \n\t\t 1 for INCHES      \
          \n\t\t 2 for CENTIMETERS \
          \n\t\t 3 for METERS      \
          \n\n\t\tYour response -->> ");

  scanf("%d",&iuser_response);

  switch(iuser_response) {
    case 0  :  C_Tconversion = YARDS;
               break;
    case 1  :  C_Tconversion = INCHES;
               break;
    case 2  :  C_Tconversion = CENTIMETERS;
               break;
    default :  C_Tconversion = METERS;
  }


  if(C_Tconversion == YARDS)
    fmeasurement = ilength / 3;

  else if(C_Tconversion == INCHES)
    fmeasurement = ilength * 12;

  else if(C_Tconversion == CENTIMETERS)
    fmeasurement = ilength * 12 * 2.54;

  else if(C_Tconversion == METERS)
    fmeasurement = (ilength * 12 * 2.54)/100;

  else
    printf("No conversion required");


  switch(C_Tconversion) {
    case YARDS       : printf("\n\t\t  %4.2f yards", 
                               fmeasurement);
                       break;
    case INCHES      : printf("\n\t\t  %4.2f inches", 
                               fmeasurement);
                       break;
    case CENTIMETERS : printf("\n\t\t  %4.2f centimeters",
                               fmeasurement);
                       break;
    default          : printf("\n\t\t  %4.2f meters", 
                               fmeasurement);
  }

  return(0);
}

