//
//  ovrlod.cpp
//  C++ program illustrates function overloading.
//  Overloaded function receives an array of integers or
//  floats and returns either an integer or float product.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <iostream.h>

int adder(int iarray[]);
float adder(float farray[]);

int main()
{
  int iarray[7]={5,1,6,20,15,0,12};
  float farray[7]={3.3,5.2,0.05,1.49,3.12345,31.0,2.007};
  int isum;
  float fsum;

  isum=adder(iarray);
  fsum=adder(farray);
  cout << "The sum of the integer numbers is: "
       << isum << endl;
  cout << "The sum of the float numbers is: "
       << fsum << endl;
 
  return (0);
}

int adder(int iarray[])
{
  int i;
  int ipartial;

  ipartial=iarray[0];
  for (i=1;i<7;i++)
    ipartial+=iarray[i];
  return (ipartial);
}

float adder(float farray[])
{
  int i;
  float fpartial;

  fpartial=farray[0];
  for (i=1;i<7;i++)
    fpartial+=farray[i];
  return (fpartial);
}

