/*
*   sargv.c
*   C program illustrates how to read string data
*   into the program with a command-line argument.
*   Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/

#include <stdio.h>
#include <process.h>

int main(int argc,char *argv[])
{
  int t;

  if(argc<2) {
    printf("Enter several names on the command line\n");
    printf("when executing this program!\n");
    printf("Please try again.\n");
    exit(0);
  }

  for (t=1; t<argc; t++)
    printf("Entry #%d is %s\n",t,argv[t]);

  return (0);
}

