/*
*   aofptr.c
*   A C program that demonstrates how to define and use
*   arrays of pointers.
*   Copyright Chris H. Pappas and William H. Murray, 1998
*/

#include <ctype.h>
#include <stdio.h>

#define INUMBER_OF_ERRORS 3

char *pszarray[INUMBER_OF_ERRORS] =
          {
            "\nFile not available.\n",
            "\nNot an alpha character.\n",
            "\nValue not between 1 and 10.\n"
          };

FILE *fopen_a_file(char *psz);
char cget_a_char(void);
int iget_an_integer(void);

FILE *pfa_file;

void main( )
{
  char cvalue;
  int ivalue;

  fopen_a_file("input.dat");
  cvalue = cget_a_char( );
  ivalue = iget_an_integer( );

}

FILE *fopen_a_file(char *psz)
{
  const ifopen_a_file_error = 0;

  pfa_file = fopen(psz,"r");
  if(!pfa_file)
    printf("%s",pszarray[ifopen_a_file_error]);
  return(pfa_file);
}

char cget_a_char(void)
{
  char cvalue;
  const icget_a_char_error = 1;

  printf("\nEnter a character: ");
  scanf("%c",&cvalue);
  if(!isalpha(cvalue))
    printf("%s",pszarray[icget_a_char_error]);
  return(cvalue);
}

int iget_an_integer(void)
{
  int ivalue;
  const iiget_an_integer = 2;
  printf("\nEnter an integer between 1 and 10: ");
  scanf("%d",&ivalue);
  if( (ivalue < 1) || (ivalue > 10) )
    printf("%s",pszarray[iiget_an_integer]);
  return(ivalue);
}
