//
//  strize.cpp
//  A C++ program illustrating the sizeof(pointers) and
//  is the program is only valid under 16-bit C/C++ environments.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <stdio.h>

#define PRINT_SIZEOF(A_POINTER) \
  printf("sizeof\t("#A_POINTER")\t= %d\n", \
  sizeof(A_POINTER))

void main( )
{
  char *reg_pc;
  long double *reg_pldbl;
  char _ _far *far_pc;
  long double _ _far *far_pldbl;
  char _ _near *near_pc;
  long double _ _near *near_pldbl;

  PRINT_SIZEOF(reg_pc);
  PRINT_SIZEOF(reg_pldbl);
  PRINT_SIZEOF(far_pc);
  PRINT_SIZEOF(far_pldbl);
  PRINT_SIZEOF(near_pc);
  PRINT_SIZEOF(near_pldbl);
}
