/*
*  ptrstc.c
*  C program uses pointers to an array of structures.
*  The Nineveh boat inventory example is used again.
*  Copyright (c) Chris H. Pappas and William H. Murray, 1998
*/ 

#include <stdio.h>

#define iSTRING15 15
#define iSTRING20 20
#define iNULL_CHAR 1
#define iMAX_BOATS 50

struct stboat {
  char sztype [iSTRING15 + iNULL_CHAR];
  char szmodel[iSTRING15 + iNULL_CHAR];
  char sztitle[iSTRING20 + iNULL_CHAR];
  char szcomment[80];
  int iyear;
  long int lmotor_hours;
  float fretail;
  float fwholesale;
};

int main(void)
{
  int i,iinstock;
  struct stboat astNineveh[iMAX_BOATS],*pastNineveh; 
  pastNineveh=&astNineveh[0];

  printf("How many boats in inventory? ");
  scanf("%d",&iinstock);
  

    for (i=0; i<iinstock; i++) {
       flushall( );     /*  flush keyboard buffer */
       printf("\nPlease enter the make of the boat: ");
       gets(pastNineveh->sztype);

       printf("\nPlease enter the model of the boat: ");
       gets(pastNineveh->szmodel);

       printf("\nPlease enter the title number for the boat: "); 
       gets(pastNineveh->sztitle);

       printf(
         "\nPlease enter a one line comment about the boat: "); 
       gets(pastNineveh->szcomment);

       printf("\nPlease enter the model year for the boat: "); 
       scanf("%d",&pastNineveh->iyear);

       printf("\nPlease enter the current hours on ");
       printf("the motor for the boat: ");
       scanf("%ld",&pastNineveh->lmotor_hours);

       printf("\nPlease enter the retail price of the boat: "); 
       scanf("%f",&pastNineveh->fretail);

       printf(
          "\nPlease enter the wholesale price of the boat: "); 
       scanf("%f",&pastNineveh->fwholesale);
  
       pastNineveh++;
    }

  pastNineveh=&astNineveh[0];
  printf("\n\n\n");

  for (i=0; i<iinstock; i++) {
    printf("A %d %s %s beauty with %ld low hours.\n", 
               pastNineveh->iyear,pastNineveh->sztype, 
               pastNineveh->szmodel,pastNineveh->lmotor_hours);
    printf("%s\n",pastNineveh->szcomment);
    printf(
       "Grab the deal by asking your Nineveh salesperson for:");
    printf("\n#%s ONLY! $%8.2f.\n",pastNineveh->sztitle, 
           pastNineveh->fretail);
           printf("\n\n");
           pastNineveh++;
  }

  return (0);
}
