//
//  dercls.cpp
//  C++ program illustrates derived classes.
//  The parent class contains name, street, city,
//  state, and zip information. Derived classes add
//  either airline or rental car mileage information
//  to parent class information.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <iostream.h>
#include <string.h>

char newline;

class consumer {
  char name[60],
       street[60],
       city[20],
       state[15],
       zip[10];
public:
  void data_output(void);
  void data_input(void);
};

void consumer::data_output()
{
  cout << "Name: " << name << endl;
  cout << "Street: " << street << endl;
  cout << "City: " << city << endl;
  cout << "State: " << state << endl;
  cout << "Zip: " << zip << endl;
}

void consumer::data_input()
{
  cout << "Enter The Consumer's Full Name: ";
  cin.get(name,59,'\n');
  cin.get(newline);      //flush carriage return
  cout << "Enter The Street Address: ";
  cin.get(street,59,'\n');
  cin.get(newline);
  cout << "Enter The City: ";
  cin.get(city,19,'\n');
  cin.get(newline);
  cout << "Enter The State: ";
  cin.get(state,14,'\n');
  cin.get(newline);
  cout << "Enter The Five Digit Zip Code: ";
  cin.get(zip,9,'\n');
  cin.get(newline);
}

class airline:public consumer {
  char airline_type[20];
  float acc_air_miles;
public:
  void airline_consumer();
  void disp_air_mileage();
};

void airline::airline_consumer()
{
  data_input();
  cout << "Enter Airline Type: ";
  cin.get(airline_type,19,'\n');
  cin.get(newline);
  cout << "Enter Accumulated Air Mileage: ";
  cin >> acc_air_miles;
  cin.get(newline);      //flush carriage return
}

void airline::disp_air_mileage()
{
  data_output();

  cout << "Airline Type: " << airline_type
       << endl;
  cout << "Accumulated Air Mileage: " 
       << acc_air_miles << endl;
}

class rental_car:public consumer {
  char rental_car_type[20];
  float acc_road_miles;
public:
  void rental_car_consumer();
  void disp_road_mileage();
};

void rental_car::rental_car_consumer()
{
  data_input();
  cout << "Enter Rental_car Type: ";
  cin.get(rental_car_type,19,'\n');
  cin.get(newline);      //flush carriage return
  cout << "Enter Accumulated Road Mileage: ";
  cin >> acc_road_miles;
  cin.get(newline);
}

void rental_car::disp_road_mileage()
{
  data_output();

  cout << "Rental Car Type: " 
       << rental_car_type << endl;
  cout << "Accumulated Mileage: "
       << acc_road_miles << endl;
}

main()
{
  //associate variable names with classes
  airline jetaway;   
  rental_car varooom; 

  //get airline information
  cout << "\n--Airline Consumer--\n";
  jetaway.airline_consumer();


  //get rental_car information
  cout << "\n--Rental Car Consumer--\n";
  varooom.rental_car_consumer();

  //now display all consumer information
  cout << "\n--Airline Consumer--\n";
  jetaway.disp_air_mileage();
  cout << "\n--Rental Car Consumer--\n";
  varooom.disp_road_mileage();

  return (0);
}

