//
//  wages.cpp
//  C++ program illustrates the use of nesting concepts
//  in classes. This program calculates the wages for
//  the named employee.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <iostream.h>

char newline;

class employee {
  struct emp_name {
    char firstname[20];
    char middlename[20];
    char lastname[20];
  } name;
  struct emp_hours {
    double hours;
    double base_sal;
    double overtime_sal;
  } hours;

public:
  void emp_input(void);
  void emp_output(void);
};

void employee::emp_input()
{
  cout << "Enter first name of employee: ";
  cin >> name.firstname;
  cin.get(newline);    // flush carriage return
  cout << "Enter middle name of employee: ";
  cin >> name.middlename;
  cin.get(newline);
  cout << "Enter last name of employee:  ";
  cin >> name.lastname;
  cin.get(newline);

  cout << "Enter total hours worked:  ";
  cin >> hours.hours;
  cout << "Enter hourly wage (base rate):   ";
  cin >> hours.base_sal;
  cout << "Enter overtime wage (overtime rate): ";
  cin >> hours.overtime_sal;
  cout << "\n\n";
}

void employee::emp_output()
{
  cout << name.firstname << " " << name.middlename
       << " " << name.lastname << endl;
  if (hours.hours <= 40)
    cout << "Base Pay:  $"
         << hours.hours * hours.base_sal << endl;
    else {
      cout << "Base Pay:  $"
           << 40 * hours.base_sal << endl;
      cout << "Overtime Pay: $"
           << (hours.hours-40) * hours.overtime_sal
           << endl;
      }
}

main()
{
  employee acme_corp;    // associate acme_corp with class

  acme_corp.emp_input();
  acme_corp.emp_output();
  return (0);
}

