//
//  fact1.cpp
//  A C++ program that prints a table of
//  factorials for the numbers from 1 to 25.
//  Program uses the long double type.
//  Formatting includes precision, width and fixed
//  with default of right justification when printing.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//

#include <iostream.h>
#include <iomanip.h>

main()
{
  long double number,factorial;

  number=1.0;
  factorial=1.0;

  cout.precision(0);           // no decimal place
  cout.setf(ios::fixed);       // use fixed format

  for(int i=0;i<25;i++) {
    factorial*=number;
    number=number+1.0;
    cout.width(30);            // width of 30 characters
    cout << factorial << endl;
  }

  return (0);
}

