//
//  ifstrm.cpp
//  C++ program demonstrating how to use ifstream class,
//  derived from the istream class.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998
//
//  Valid member functions for ifstream include:
//         ifstream::open      ifstream::rdbuf
//
//  Valid member functions for istream include:
//         istream::gcount     istream::get
//         istream::getline    istream::ignore
//         istream::istream    istream::peek
//         istream::putback    istream::read
//         istream::seekg      istream::tellg

#include <fstream.h>
#define iCOLUMNS 80

void main(void)
{
  char cOneLine[iCOLUMNS];

  ifstream ifMyInputStream("IFSTRM.CPP",ios::in);
  while(ifMyInputStream) {
    ifMyInputStream.getline(cOneLine,iCOLUMNS);
    cout << '\n' << cOneLine;
  }
  ifMyInputStream.close();
}

