//
//  manip1.cpp
//  C++ program demonstrating how to create and use
//  one-parameter custom manipulators.
//  Copyright (c) Chris H. Pappas and William H. Murray, 1998 
//

#include <iostream.h>
#include <iomanip.h>
#include <string.h>
#define iSCREEN_WIDTH 80


ostream& fc(ostream& os, int istring_width)
{
  os << '\n';
  for(int i=0; i < ((iSCREEN_WIDTH - istring_width)/2); i++)
    os << ' ';
  return(os);
}

OMANIP(int) center(int istring_width)
{
  return OMANIP(int) (fc, istring_width);
}

void main(void)
{
  char *psz = "This is auto-centered text!";
  cout << center(strlen(psz)) << psz;
}

